### Method

# Gio DBusObjectManagerServer unexport

since: 2.30

#### Declaration

    gboolean
    g_dbus_object_manager_server_unexport (
      GDBusObjectManagerServer* manager,
      const gchar* object_path
    )

#### Description

If `manager` has an object at `path`, removes the object. Otherwise does nothing.

Note that `object_path` must be in the hierarchy rooted by the object path for `manager`.

Available since: 2.30

#### Parameters

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if object at `object_path` was removed, `FALSE` otherwise.